org.apache.sysds.common

## Enum Types.OpOpData

- java.lang.Object
- - java.lang.Enum<Types.OpOpData>
  - - org.apache.sysds.common.Types.OpOpData

- All Implemented Interfaces:
    Serializable, Comparable<Types.OpOpData>
  Enclosing class:
    Types

      public static enum Types.OpOpData
      extends Enum<Types.OpOpData>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FEDERATED`
    `FUNCTIONOUTPUT`
    `PERSISTENTREAD`
    `PERSISTENTWRITE`
    `SQLREAD`
    `TRANSIENTREAD`
    `TRANSIENTWRITE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isPersistent()`
    `boolean` | `isRead()`
    `boolean` | `isTransient()`
    `boolean` | `isWrite()`
    `String` | `toString()`
    `static Types.OpOpData` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Types.OpOpData[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PERSISTENTREAD

          public static final Types.OpOpData PERSISTENTREAD

    - #### PERSISTENTWRITE

          public static final Types.OpOpData PERSISTENTWRITE

    - #### TRANSIENTREAD

          public static final Types.OpOpData TRANSIENTREAD

    - #### TRANSIENTWRITE

          public static final Types.OpOpData TRANSIENTWRITE

    - #### FUNCTIONOUTPUT

          public static final Types.OpOpData FUNCTIONOUTPUT

    - #### SQLREAD

          public static final Types.OpOpData SQLREAD

    - #### FEDERATED

          public static final Types.OpOpData FEDERATED

  - ### Method Detail

    - #### values

          public static Types.OpOpData[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Types.OpOpData c : Types.OpOpData.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Types.OpOpData valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### isTransient

          public boolean isTransient()

    - #### isPersistent

          public boolean isPersistent()

    - #### isWrite

          public boolean isWrite()

    - #### isRead

          public boolean isRead()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<Types.OpOpData>`

Copyright © 2021 The Apache Software Foundation. All rights reserved.